function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { Relative, CloseButton, deprecatedColorValue, Flex, Text } from 'pcln-design-system';
import PropTypes from 'prop-types';
import React from 'react';
import styled from 'styled-components';
import { space } from 'styled-system';
const Title = styled(Text).withConfig({
  displayName: "ModalHeader__Title",
  componentId: "sc-1yobfb9-0"
})(["display:flex;align-items:center;"]);
const StyledCloseButton = styled(CloseButton).withConfig({
  displayName: "ModalHeader__StyledCloseButton",
  componentId: "sc-1yobfb9-1"
})(["height:24px;width:24px;svg{vertical-align:top;}&:focus{box-shadow:none;outline:none;}"]);
const ModalHeader = _ref => {
  let {
    bg,
    color,
    onClose,
    textStyle,
    title,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Flex, _extends({
    align: "center",
    alignItems: "center",
    color: color,
    bg: bg,
    height: "40px"
  }, props), title && /*#__PURE__*/React.createElement(Title, {
    textStyle: textStyle
  }, title), onClose && /*#__PURE__*/React.createElement(Relative, {
    ml: "auto"
  }, /*#__PURE__*/React.createElement(StyledCloseButton, {
    onClick: onClose
  })));
};
ModalHeader.displayName = ModalHeader;
ModalHeader.propTypes = {
  ...space.propTypes,
  bg: deprecatedColorValue(),
  color: deprecatedColorValue(),
  onClose: PropTypes.func,
  textStyle: PropTypes.string,
  title: PropTypes.string
};
ModalHeader.defaultProps = {
  bg: 'primary.base',
  color: 'text.lightest',
  px: 3,
  textStyle: 'heading6'
};
export default ModalHeader;